import os

class MySqlConfig:
	MYSQL_USER = os.environ.get('MYSQL_USER')
	MYSQL_DATABASE = os.environ.get('MYSQL_DATABASE')
	MYSQL_HOST = os.environ.get('MYSQL_HOST')
	MYSQL_PORT = os.environ.get('MYSQL_PORT')
	MYSQL_PASSWORD = os.environ.get('MYSQL_PASSWORD')

class RedisConfig:
	REDIS_HOST = os.environ.get('REDIS_HOST')
	REDIS_PORT = os.environ.get('REDIS_PORT')

class FlaskProduction:
	DEBUG = False
	JWT_SECRET_KEY = os.environ.get('JWT_SECRET_KEY')
	SERVER_NAME = os.environ.get('HOST') + ':' + os.environ.get('PORT')

class FlaskTesting:
	DEBUG = True
	JWT_SECRET_KEY = os.environ.get('JWT_SECRET_KEY')
	SERVER_NAME = os.environ.get('HOST') + ':' + os.environ.get('PORT')